[Qa-jenkins-scm] [jenkins.debian.net] 02/02: reproducible Debian: add check for haveged running

Holger Levsen holger at layer-acht.org
Wed Jun 21 11:42:20 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit d777836d5b899ed76250105f391485ce828362d7
Author: Holger Levsen <holger at layer-acht.org>
Date:   Wed Jun 21 13:42:15 2017 +0200

    reproducible Debian: add check for haveged running
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_node_health_check.sh | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index 98ee33f..189bc98 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -126,6 +126,17 @@ if [ "$(lsb_release -si)" = "Ubuntu" ] ; then
 fi
 
 #
+# check for haveged running
+#
+echo "$(date -u) - testing 'haveged' is running..."
+HAVEGED="$(ps fax | grep '/usr/sbin/haveged' | grep -v grep || true)"
+if [ -z "$HAVEGED" ] ; then
+	echo "$(date -u) - haveged ain't running, giving up."
+	systemctl status haveged
+	exit 1
+fi
+
+#
 # finally
 #
 if ! $DIRTY ; then

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list